<?php

namespace TestController;


use PHPUnit\Framework\TestCase;
use Controller\FrontController;

class FrontControllerTest extends TestCase
{
    private FrontController $frontController;

    public function setUp(): void
    {
        $this->frontController = new FrontController();
    }

    public function testRouterInstance(): void
    {
        $this->assertInstanceOf('\Config\AltoRouter', $this->frontController->getRouter());
    }

    public function testRightsInstance(): void
    {
        $this->assertIsArray($this->frontController->getRights());
    }

    public function testRunMethod(): void
    {
        $this->expectOutputString('');
        $_SERVER['BASE_URI'] = '/';
        $_SESSION['role'] = 'Candidate';
        $this->frontController->run();
    }
}
